Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalUserProfileHome

public interface PortalUserProfileHome
extends javax.ejb.EJBHome

Prescribes methods for the creation, retrieval, and desctruction of `PortalUserProfile` objects.

Method Summary
`PortalUserProfile` | `create(java.lang.String username)` Creates a new profile using the provided user name
`PortalUserProfile` | `create(java.lang.String username, java.lang.String groupName)` Creates a new profile using the provided user name
`PortalUserProfile` | `find(java.lang.String username)` Finds a user profile based on a user name
`java.util.Enumeration` | `findAll()` Finds all user profiles.
`PortalUserProfile` | `findByPrimaryKey(weblogic.jsp.personalization.UserProfilePK pk)` Locates a `PortalUserProfile` using a primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### findByPrimaryKey

    public PortalUserProfile findByPrimaryKey(weblogic.jsp.personalization.UserProfilePK pk)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Locates a `PortalUserProfile` using a primary key.
  Parameters:
    `pk` - the `UserProfilePK` used to find the profile
  Returns:
    `PortalUserProfile` the located profile
  Throws:
    `FinderException` - the specified profile was not found
    `RemoteException` - remote communication failure

### findAll

    public java.util.Enumeration findAll()
                                  throws javax.ejb.FinderException,
                                         java.rmi.RemoteException

  Finds all user profiles.
  Returns:
    `Enumeration` an enumeration of profiles
  Throws:
    `FinderException` - no profiles found
    `RemoteException` - remote communication failure

### find

    public PortalUserProfile find(java.lang.String username)
                           throws javax.ejb.FinderException,
                                  java.rmi.RemoteException

  Finds a user profile based on a user name
  Parameters:
    `username` - the user name used to find the profile
  Returns:
    `PortalUserProfile` the located profile
  Throws:
    `FinderException` - the profile was not found
    `RemoteException;` - remote communication failure

### create

    public PortalUserProfile create(java.lang.String username)
                             throws javax.ejb.CreateException,
                                    java.rmi.RemoteException

  Creates a new profile using the provided user name
  Parameters:
    `username` - the user name used to uniquely identify the new profile
  Returns:
    `PortalUserProfile` the new profile
  Throws:
    `CreateException` - profile creation failed
    `RemoteException` - remote communication failure

### create

    public PortalUserProfile create(java.lang.String username,
                                    java.lang.String groupName)
                             throws javax.ejb.CreateException,
                                    java.rmi.RemoteException

  Creates a new profile using the provided user name
  Parameters:
    `username` - the user name used to uniquely identify the new profile
    `groupName` - the name of the group to identify the new user with
  Returns:
    `PortalUserProfile` the new profile
  Throws:
    `CreateException` - profile creation failed
    `RemoteException` - remote communication failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved